#
# Conditional build:
%bcond_without	static_libs	# static libraries

%define		atkmm_ver	2.24.2
%define		glibmm_ver	2.54.0
%define		gtk3_ver	3.24.0
%define		pangomm_ver	2.38.2
Summary:	A C++ interface for the GTK+ (a GUI library for X)
Summary(pl.UTF-8):	Wrapper C++ dla GTK+
Name:		gtkmm3
Version:	3.24.10
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/gtkmm/3.24/gtkmm-%{version}.tar.xz
# Source0-md5:	164231e1ad76b84e0b7a98f9476e244f
URL:		https://gtkmm.gnome.org/
BuildRequires:	atkmm-devel >= %{atkmm_ver}
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	cairomm-devel >= 1.12.0
BuildRequires:	doxygen >= 1:1.8.9
BuildRequires:	gdk-pixbuf2-devel >= 2.36.0
BuildRequires:	glibmm-devel >= %{glibmm_ver}
BuildRequires:	graphviz
BuildRequires:	gtk+3-devel >= %{gtk3_ver}
BuildRequires:	libepoxy-devel >= 1.2
BuildRequires:	libsigc++-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxslt-progs
BuildRequires:	mm-common >= 0.9.10
BuildRequires:	pangomm-devel >= %{pangomm_ver}
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.752
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	atkmm >= %{atkmm_ver}
Requires:	cairomm >= 1.12.0
Requires:	gdk-pixbuf2 >= 2.36.0
Requires:	glibmm >= %{glibmm_ver}
Requires:	gtk+3 >= %{gtk3_ver}
Requires:	pangomm >= %{pangomm_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library. The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented
framework. Features include type safe callbacks, widgets that are
extensible using inheritance and over 110 classes that can be freely
combined to quickly create complex user interfaces.

%description -l pl.UTF-8
gtkmm jest wrapperem C++ dla Gimp ToolKit (GTK). GTK+ jest biblioteką
służącą do tworzenia graficznych interfejsów. W pakiecie znajduje się
także biblioteka gdkmm - wrapper C++ dla GDK (General Drawing Kit).

%package devel
Summary:	gtkmm and gdkmm header files
Summary(pl.UTF-8):	Pliki nagłówkowe gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	atkmm-devel >= %{atkmm_ver}
Requires:	cairomm-devel >= 1.12.0
Requires:	gdk-pixbuf2-devel >= 2.36.0
Requires:	glibmm-devel >= %{glibmm_ver}
Requires:	gtk+3-devel >= %{gtk3_ver}
Requires:	libstdc++-devel >= 6:4.6
Requires:	pangomm-devel >= %{pangomm_ver}

%description devel
Header files for gtkmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkmm.

%package static
Summary:	gtkmm and gdkmm static libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtkmm i gdkmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
gtkmm and gdkmm static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gtkmm i gdkmm.

%package apidocs
Summary:	Reference documentation for gtkmm and gdkmm
Summary(pl.UTF-8):	Szczegółowa dokumentacja gtkmm i gdkmm
Group:		Documentation
Requires:	devhelp
BuildArch:	noarch

%description apidocs
Reference documentation for gtkmm and gdkmm.

%description apidocs -l pl.UTF-8
Szczegółowa dokumentacja gtkmm i gdkmm.

%prep
%setup -q -n gtkmm-%{version}

# missing in release tarball, not needed for Linux
mkdir win32_installer
touch win32_installer/filelist.am \
	win32_installer/gtkmm-installer.nsi.in

%build
mm-common-prepare --copy --force
%{__libtoolize}
%{__aclocal} -I build
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-maintainer-mode \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libgdkmm-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdkmm-3.0.so.1
%attr(755,root,root) %{_libdir}/libgtkmm-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkmm-3.0.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdkmm-3.0.so
%attr(755,root,root) %{_libdir}/libgtkmm-3.0.so
%{_libdir}/gdkmm-3.0
%{_libdir}/gtkmm-3.0
%{_includedir}/gdkmm-3.0
%{_includedir}/gtkmm-3.0
%{_pkgconfigdir}/gdkmm-3.0.pc
%{_pkgconfigdir}/gtkmm-3.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgdkmm-3.0.a
%{_libdir}/libgtkmm-3.0.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/gtkmm-3.0
%{_datadir}/devhelp/books/gtkmm-3.0
%changelog
* Tue Apr 01 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkmm3.git;a=log;h=master

* Tue Apr 01 2025 Jakub Bogusz <qboosh@pld-linux.org> 5d4a56e
- updated to 3.24.10

* Sat Mar 23 2024 Jakub Bogusz <qboosh@pld-linux.org> 84910c5
- updated to 3.24.9

* Tue Aug 08 2023 Jan Palus <atler@pld-linux.org> ee91a80
- up to 3.24.8

* Thu Feb 09 2023 Jan Palus <atler@pld-linux.org> 0040337
- BR: libxslt-progs

* Thu Feb 09 2023 Jan Palus <atler@pld-linux.org> 4c3990c
- BR: graphviz

* Sat Sep 17 2022 Jakub Bogusz <qboosh@pld-linux.org> dac6696
- updated to 3.24.7

* Wed May 04 2022 Jakub Bogusz <qboosh@pld-linux.org> e1a28d5
- updated to 3.24.6

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> ff26e43
- updated to 3.24.5

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 128e601
- unconditional noarch subpackages

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 546469f
- updated to 3.24.4

* Tue Dec 15 2020 Jakub Bogusz <qboosh@pld-linux.org> c6e33ff
- updated to 3.24.3

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 3f8d9ad
- updated to 3.24.2

* Thu Sep 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 7c1d022
- updated to 3.24.1

* Tue Nov 13 2018 Jakub Bogusz <qboosh@pld-linux.org> 7c2001a
- updated glibmm and gtk+3 versions

* Tue Nov 13 2018 Adam Gołębiowski <adamg@pld-linux.org> 32beb5b
- updated to 3.24

* Thu Nov 08 2018 Adam Gołębiowski <adamg@pld-linux.org> 3c17d5d
- updated to 3.22.3

* Thu Oct 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 4f3647a
- updated to 3.22.2

* Sat Jul 15 2017 Jakub Bogusz <qboosh@pld-linux.org> c7cf39f
- updated to 3.22.1

* Sat Dec 03 2016 Jakub Bogusz <qboosh@pld-linux.org> ef8910d
- updated to 3.22.0

* Sat Jun 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 928477e
- updated to 3.20.1

